# Create a page

Creates a new page.

Endpoint: POST /api/v1/pages
Version: v1
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http Bearer

## Query parameters:

  - `environmentId` (string)
    The identifier of the environment.

## Request body:

  - `application/json, text/json, application/*+json` (unknown)
    Input data containing properties of the page

## Request fields (application/json):

  - `parentId` (string, required)
    The identifier of the parent page.
Example value: 9100b830-c85b-459b-9c37-51da74fc9ecc
    Example: 9100b830-c85b-459b-9c37-51da74fc9ecc

  - `pageName` (string, required)
    The system name of the new page.
Example value: about-us
    Example: about-us

  - `templateId` (string, required)
    The identifier of the template to be used for the new page.
Example value: 2341ef32-42f4-4537-98d8-9ef741008eab
    Example: 2341ef32-42f4-4537-98d8-9ef741008eab

  - `language` (string, required)
    The language of the new page.
Example value: en-US
    Example: en-US

  - `displayName` (string)
    The display name of the new page.
Example value: About Us
    Example: About Us

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `pageId` (string)
    The page identifier.
Example value: 8f0b81bc-7388-46be-b109-6e73d1114470
    Example: 8f0b81bc-7388-46be-b109-6e73d1114470

  - `name` (string)
    The system name of the page.
Example value: Home
    Example: Home

  - `displayName` (string)
    The display name of the page.
Example value: Site Home
    Example: Site Home

  - `path` (string)
    The path of the page.
Example value: /sitecore/content/collection01/site01/Home/about
    Example: /sitecore/content/collection01/site01/Home/about

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

